Subject: bug#43470: 27.1; Drag and Drop not working properly in 27.1 on OSX

From: Paul Magwene <[email-masked]>
Date: Fri, 18 Sep 2020 17:27:17 -0400

On 9/18/2020 3:11 PM, Alan Third wrote:
> On Fri, Sep 18, 2020 at 08:34:30PM +0200, Daniel MartÃ?Â­n via Bug reports for GNU Emacs, the Swiss army knife of text editors wrote:
>> Alan Third <[email-masked]> writes:
>>>
>>> This looks good to me. I think we'll want to apply it to Emacs 27
>>> since this is a regression from Emacs 26 and the fix is minimal, so
>>> can you please rebase against emacs-27 and I'll push it there.
>>>
>>> Thanks!
>>
>> Here's the same patch applied on top of the emacs-27 branch. Thanks.
> 
> Thanks! I've pushed it to emacs-27 and it will be merged into master
> in due course.
> 
> I'll close this bug report now and if anyone wants to modernise the
> drag and drop code they can create a new one with the patch or
> whatever.
> 

Hi Alan and Daniel,

I can confirm this patch restores basic drag-and-drop functionality -- 
for example I can drag URLs from a browser into emacs.

However, there still seems to be regression with respect to the behavior 
of the package org-download (https://github.com/abo-abo/org-download) -- 
images dragged from a web browser are no longer recognized as 
attachments, only their URLs are getting pasted.

Best,
Paul